package com.tzld.piaoquan.risk.control.service.rule;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class VariableParser {

    public static Map<String, String[]> parseVariables(Set<String> variables) {
        Map<String, String[]> result = new HashMap<>();
        for (String var : variables) {
            // 去除末尾下划线
            String cleanedVar = var.replaceAll("_+$", "");
            int lastUnderline = cleanedVar.lastIndexOf('_');
            if (lastUnderline == -1) {
                throw new IllegalArgumentException("Invalid variable format: " + var);
            }
            String type = cleanedVar.substring(0, lastUnderline);
            String level = cleanedVar.substring(lastUnderline + 1);
            result.put(var, new String[]{type, level});
        }
        return result;
    }
}
