package com.tzld.piaoquan.risk.control.controller;

import com.tzld.piaoquan.risk.control.common.base.CommonResponse;
import com.tzld.piaoquan.risk.control.model.dto.Page;
import com.tzld.piaoquan.risk.control.model.dto.WorkWechatUserInfo;
import com.tzld.piaoquan.risk.control.service.WorkWechatService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/work/wechat")
public class WorkWechatController {

    @Autowired
    private WorkWechatService workWechatService;

    @GetMapping("/user/info/page")
    public CommonResponse<Page<WorkWechatUserInfo>> page(@RequestParam("pageSize") int pageSize, @RequestParam("currentPage") int currentPage) {
        log.info("[work wechat findUserInfoList] pageSize:{}, currentPage:{}", pageSize, currentPage);
        return CommonResponse.create(workWechatService.findUserInfoList(pageSize, currentPage));
    }

}
